IARRAY_TRANSFORM_3D(3)

EXPERIMENTAL_FUNC
iarray_transform_3D - Transform an array by iterating over the input array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_transform_3D

(iarray out_arr, KwcsAstro out_ap, iarray in_arr, KwcsAstro in_ap, void (*func) (void *info, unsigned long length, double *x, double *y, double *z), void *info)

DESCRIPTION
Transform an array by iterating over the input array.

out_arr
    The output array. The new grid must already be defined.

out_ap
    The output KwcsAstro object.

in_arr
    The input array.

in_ap
    The input KwcsAstro object.

func
    The function used to convert from input world co-ordinates to output world co-ordinates.

info
    An arbitrary information pointer passed to <<func>>.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
Aliasing artefacts may appear if the output grid resolution is too high. This is an inherent problem with forward transform algorithms. If an inverse co-ordinate transform function is available, then use <-iarray_untransform_3D-> instead, which avoids these artefacts.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/